module gw_gao(
    dout_en,
    \dout[19] ,
    \dout[18] ,
    \dout[17] ,
    \dout[16] ,
    \dout[15] ,
    \dout[14] ,
    \dout[13] ,
    \dout[12] ,
    \dout[11] ,
    \dout[10] ,
    \dout[9] ,
    \dout[8] ,
    \dout[7] ,
    \dout[6] ,
    \dout[5] ,
    \dout[4] ,
    \dout[3] ,
    \dout[2] ,
    \dout[1] ,
    \dout[0] ,
    \inspect_lock[1] ,
    \inspect_lock[0] ,
    inspect_err,
    \u_motivation_response/clk_rx ,
    tms_pad_i,
    tck_pad_i,
    tdi_pad_i,
    tdo_pad_o
);

input dout_en;
input \dout[19] ;
input \dout[18] ;
input \dout[17] ;
input \dout[16] ;
input \dout[15] ;
input \dout[14] ;
input \dout[13] ;
input \dout[12] ;
input \dout[11] ;
input \dout[10] ;
input \dout[9] ;
input \dout[8] ;
input \dout[7] ;
input \dout[6] ;
input \dout[5] ;
input \dout[4] ;
input \dout[3] ;
input \dout[2] ;
input \dout[1] ;
input \dout[0] ;
input \inspect_lock[1] ;
input \inspect_lock[0] ;
input inspect_err;
input \u_motivation_response/clk_rx ;
input tms_pad_i;
input tck_pad_i;
input tdi_pad_i;
output tdo_pad_o;

wire dout_en;
wire \dout[19] ;
wire \dout[18] ;
wire \dout[17] ;
wire \dout[16] ;
wire \dout[15] ;
wire \dout[14] ;
wire \dout[13] ;
wire \dout[12] ;
wire \dout[11] ;
wire \dout[10] ;
wire \dout[9] ;
wire \dout[8] ;
wire \dout[7] ;
wire \dout[6] ;
wire \dout[5] ;
wire \dout[4] ;
wire \dout[3] ;
wire \dout[2] ;
wire \dout[1] ;
wire \dout[0] ;
wire \inspect_lock[1] ;
wire \inspect_lock[0] ;
wire inspect_err;
wire \u_motivation_response/clk_rx ;
wire tms_pad_i;
wire tck_pad_i;
wire tdi_pad_i;
wire tdo_pad_o;
wire tms_i_c;
wire tck_i_c;
wire tdi_i_c;
wire tdo_o_c;
wire [9:0] control0;
wire gao_jtag_tck;
wire gao_jtag_reset;
wire run_test_idle_er1;
wire run_test_idle_er2;
wire shift_dr_capture_dr;
wire update_dr;
wire pause_dr;
wire enable_er1;
wire enable_er2;
wire gao_jtag_tdi;
wire tdo_er1;

IBUF tms_ibuf (
    .I(tms_pad_i),
    .O(tms_i_c)
);

IBUF tck_ibuf (
    .I(tck_pad_i),
    .O(tck_i_c)
);

IBUF tdi_ibuf (
    .I(tdi_pad_i),
    .O(tdi_i_c)
);

OBUF tdo_obuf (
    .I(tdo_o_c),
    .O(tdo_pad_o)
);

GW_JTAG  u_gw_jtag(
    .tms_pad_i(tms_i_c),
    .tck_pad_i(tck_i_c),
    .tdi_pad_i(tdi_i_c),
    .tdo_pad_o(tdo_o_c),
    .tck_o(gao_jtag_tck),
    .test_logic_reset_o(gao_jtag_reset),
    .run_test_idle_er1_o(run_test_idle_er1),
    .run_test_idle_er2_o(run_test_idle_er2),
    .shift_dr_capture_dr_o(shift_dr_capture_dr),
    .update_dr_o(update_dr),
    .pause_dr_o(pause_dr),
    .enable_er1_o(enable_er1),
    .enable_er2_o(enable_er2),
    .tdi_o(gao_jtag_tdi),
    .tdo_er1_i(tdo_er1),
    .tdo_er2_i(1'b0)
);

gw_con_top  u_icon_top(
    .tck_i(gao_jtag_tck),
    .tdi_i(gao_jtag_tdi),
    .tdo_o(tdo_er1),
    .rst_i(gao_jtag_reset),
    .control0(control0[9:0]),
    .enable_i(enable_er1),
    .shift_dr_capture_dr_i(shift_dr_capture_dr),
    .update_dr_i(update_dr)
);

ao_top_0  u_la0_top(
    .control(control0[9:0]),
    .trig0_i({\inspect_lock[1] ,\inspect_lock[0] }),
    .trig1_i(inspect_err),
    .data_i({dout_en,\dout[19] ,\dout[18] ,\dout[17] ,\dout[16] ,\dout[15] ,\dout[14] ,\dout[13] ,\dout[12] ,\dout[11] ,\dout[10] ,\dout[9] ,\dout[8] ,\dout[7] ,\dout[6] ,\dout[5] ,\dout[4] ,\dout[3] ,\dout[2] ,\dout[1] ,\dout[0] ,\inspect_lock[1] ,\inspect_lock[0] ,inspect_err}),
    .clk_i(\u_motivation_response/clk_rx )
);

endmodule
