module top(
		input			board_clk,
		input			rstn,

		input			rxp_i,
		input			rxn_i,

		output			txp_o,
		output			txn_o,

		input			inspect_clear,
		output	[ 1:0]	inspect_lock,
		output			inspect_err
	);

wire			pll_lock;
wire			pll_clkout0;
wire			pll_clkout1;
wire			pll_clkout2;
wire			pll_clkout3;
wire			rstn_rx;

wire			share_clk4;
wire			dout_en;
wire	[19:0]	dout;

motivation_response u_motivation_response(
		.board_clk		(board_clk		),
		.rstn			(rstn			),

		.pll_lock_rx	(pll_lock		),
		.pll_clkout0_rx	(pll_clkout0	),
		.pll_clkout1_rx	(pll_clkout1	),
		.pll_clkout2_rx	(pll_clkout2	),
		.pll_clkout3_rx	(pll_clkout3	),
		.rstn_rx		(rstn_rx		),

		.clk_rx			(share_clk4		),
		.dout_en		(dout_en		),
		.dout			(dout			),

		.inspect_clear	(inspect_clear	),
		.inspect_lock	(inspect_lock	),
		.inspect_err	(inspect_err	),

		.txp_o			(txp_o			),
		.txn_o			(txn_o			)

	);


EasyCDR_Top u_EasyCDR_Top (
		.rxp_i 			(rxp_i			), //input rxp_i
		.rxn_i 			(rxn_i			), //input rxn_i
		.rstn_i 		(rstn_rx		), //input rstn_i
		.pll_clkin_i	(board_clk 		), //input pll_clkin_i
		.pll_clkout0_i	(pll_clkout0	), //input pll_clkout0_i
		.pll_clkout1_i	(pll_clkout1	), //input pll_clkout1_i
		.pll_clkout2_i	(pll_clkout2	), //input pll_clkout2_i
		.pll_clkout3_i	(pll_clkout3	), //input pll_clkout3_i
		.pll_lock_i		(pll_lock		), //input pll_lock_i
		.share_clk0_o	(				), //output share_clk0_o
		.share_clk1_o	(				), //output share_clk1_o
		.share_clk2_o	(				), //output share_clk2_o
		.share_clk3_o	(				), //output share_clk3_o
		.share_clk4_o	(share_clk4		), //output share_clk4_o
		.share_reset_o	(				), //output share_reset_o
		.dout_o 		(dout			), //output [19:0] dout_o
		.dout_en_o 		(dout_en		)  //output dout_en_o
	);


endmodule