`timescale 1ns / 1ps

module tb();

    GSR GSR(
        .GSRI(1'b1)
    );
    
    reg         board_clk;
    reg         rstn;
    wire        xp_wire;
    wire        xn_wire;

    top u_top(
        .board_clk      (board_clk  ),
        .rstn           (rstn       ),

        .rxp_i          (xp_wire    ),
        .rxn_i          (xn_wire    ),

        .txp_o          (xp_wire    ),
        .txn_o          (xn_wire    ),

        .inspect_clear  (1'b1       ),
        .inspect_lock   (           ),
        .inspect_err    (           )
    );

    initial begin
        board_clk       =   0;
        forever begin
            #10;
            board_clk   =   ~board_clk;
        end
    end

    initial begin
        rstn    =   1'b0;

        #10
        rstn    =   1'b1;

        #3000000
        $finish;
    end

    initial begin
        $fsdbDumpfile("tb.fsdb");
        $fsdbDumpvars;
    end

endmodule